Skip to navigation

Get User Details by BigCommerce Customer ID

Returns detailed information for the user associated with customerId. Analogous to Get User Details. If the B2B Edition customer account associated with customerId has been deleted, this will return a 404 error.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

customerIdintegerRequired

The unique numeric ID associated with the BigCommerce customer account. This does not match the userId assigned by B2B Edition.

Response

Success
codeintegerOptionalDefaults to 200
Operation status code.
dataobjectOptional
metaobjectOptional

Errors

404
Not Found Error